// © 2025 Naked People Team. All Rights Reserved.


#include "GoalRestriction.h"

void UGoalRestriction::Init(ANakedDesireCharacter* PlayerCharacter)
{
	IsSuccess = false;
	Player = PlayerCharacter;
	OnUpdate.Broadcast(this);
}

void UGoalRestriction::Complete()
{
	Complete(true);
}

void UGoalRestriction::Complete(const bool Value)
{
	IsSuccess = Value;
	OnUpdate.Broadcast(this);
}

FText UGoalRestriction::GetDescription() const
{
	return FText::GetEmpty();
}
